<template>
  <div class="hello">
    <h1>{{ msg }}</h1>
    <p>
      Component1.vue has also control over {{state.user}} and {{state.count}}
    </p>
    <input type="number" v-model="state.counter">
    <input type="text" v-model="state.user">
  </div>
</template>

<script>
import { useState } from '../store';

export default {
  setup(){
    return { state: useState() };
  },
  name: 'Component1',
  props: {
    msg: String
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
